classification
Title: PEP sources not available as documented
Type: behavior Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jim.Jewett, benjamin.peterson, docs@python, eric.araujo, jcea, loewis, tshepang, vstinner
Priority: normal Keywords:

Created on 2012-04-16 21:41 by Jim.Jewett, last changed 2012-04-19 13:51 by vstinner. This issue is now closed.

Messages (8)
msg158506 - (view) Author: Jim Jewett (Jim.Jewett) (Python triager) Date: 2012-04-16 21:41
PEP 12 states:

"""
To get the source this (or any) PEP, look at the top of the HTML page and click on the date & time on the "Last-Modified" line. It is a link to the source text in the Python repository.
"""

Unfortunately, the link actually goes to SVN, which only works for (older copies of) older PEPs.

Following that link in a newer PEP returns a 404.

http://www.python.org/dev/peps/pep-0418/  
==>
http://svn.python.org/view/*checkout*/peps/trunk/pep-0418.txt
msg158514 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-04-16 23:47
The templates have been fixed 1 year ago, when we moved from SVN to HG. I suppose that the bot has an old local copy of the template (Python scripts to compile reST to HTML). But who owns the robot? :-)
msg158675 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-04-18 22:13
Thanks for the report.  www.python.org is not in a python-dev repository, so there is nothing the developers following bugs.python.org can do.  Could you repost the problem to the pydotorg mailing list?
msg158677 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2012-04-18 22:21
It's fine now, anyway.
msg158678 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-04-18 22:23
How so?  Links still point to the old Subversion server.
msg158705 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-04-19 08:39
Not sure how it was supposed to be fixed in the past, as the docutils formatter would happily use whatever URL the docutils release had in place. I now fixed it for real (I hope) in 34076bfed420
msg158727 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-04-19 13:38
Confirmed, thanks!
msg158728 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-04-19 13:51
Martin> I now fixed it for real (I hope) in 34076bfed420

Thanks!
History
Date User Action Args
2012-04-19 13:51:24vstinnersetmessages: + msg158728
2012-04-19 13:38:46eric.araujosetmessages: + msg158727
components: - Documentation
stage: resolved
2012-04-19 08:39:36loewissetmessages: + msg158705
2012-04-18 22:23:26eric.araujosetmessages: + msg158678
2012-04-18 22:21:05benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg158677

resolution: fixed
2012-04-18 22:13:02eric.araujosetnosy: + eric.araujo
messages: + msg158675
2012-04-18 20:13:21jceasetnosy: + jcea
2012-04-16 23:52:59tshepangsetnosy: + tshepang
2012-04-16 23:47:11vstinnersetnosy: + loewis, vstinner
messages: + msg158514
2012-04-16 21:41:06Jim.Jewettcreate